{% unless paginate.previous == blank and paginate.next == blank %}
  <nav aria-label="pagination" class="m-0 py-6">
    <ul class="pagination m-0" role="toolbar" aria-label="pagination">
      {% if paginate.previous %}
        <li class="page-item"><a class="page-link fa fa-angle-left" href="{{ paginate.previous.url }}" title="{{ paginate.previous.title }}"></a></li>
      {% else %}
        <li class="page-item disabled"><span class="page-link fa fa-angle-left"> </span></li>
      {% endif %}
    
      {% for part in paginate.parts %}
        {% if part.is_link %}
          <li class="page-item">
            <a class="page-link" href="{{ part.url }}" title="">{{ part.title }}</a>
          </li>
        {% else %}
          {% if part.title == paginate.current_page %}
            <li class="page-item active"><span class="page-link">{{ part.title }}</span></li>
          {% else %}
            <li class="page-item"><span class="page-link">{{ part.title }}</span></li>
          {% endif %}
        {% endif %}
      {% endfor %}
    
      {% if paginate.next %}
        <li class="page-item"><a class="page-link fa fa-angle-right" href="{{ paginate.next.url }}" title="{{ paginate.next.title }}"></a></li>
      {% else %}
        <li class="page-item disabled"><span class="page-link fa fa-angle-right"></span></li>
      {% endif %}
    </ul>
  </nav>
{% endunless %}
